package com.yihu.wlyy.entity.doctor.profile;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.security.Timestamp;
import java.util.Date;

/**
 * 医生角色
 */
@Entity
@Table(name = "wlyy_user_role")
public class WlyyUserRole extends IdEntity {

    private String user;    // 用户编码
    private String role;    // 角色编码
    private String czy;     // 操作员
    private Date czrq;      // 操作日期

    @Column(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Column(name = "role")
    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getCzy() {
        return czy;
    }

    @Column(name = "czy")
    public void setCzy(String czy) {
        this.czy = czy;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "czrq")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
